{
  "components": {
    "schemas": {
      "ReviewedInput__assigntransactiontobudget__ApiV1AssignTransactionRequest": {
        "additionalProperties": false,
        "properties": {
          "allowOverspend": {
            "description": " Whether to allow this assignment to exceed the budget. Defaults to false.",
            "nullable": true,
            "type": "boolean"
          },
          "transactionId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__assigntransactiontobudget__TransactionMetadataId"
              }
            ]
          }
        },
        "required": [
          "transactionId"
        ],
        "type": "object"
      },
      "ReviewedInput__assigntransactiontobudget__TransactionMetadataId": {
        "description": "ID for this transaction",
        "format": "uuid",
        "type": "string"
      },
      "ReviewedInput__createbudget__ApiV1BudgetFrequency": {
        "enum": [
          "oneTime",
          "daily",
          "weekly",
          "monthly",
          "yearly"
        ],
        "type": "string"
      },
      "ReviewedInput__createbudget__ApiV1CreateBudgetRequest": {
        "additionalProperties": false,
        "properties": {
          "amountPerUserPerPeriod": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createbudget__NonNegativeDollar"
              }
            ],
            "nullable": true
          },
          "description": {
            "nullable": true,
            "type": "string"
          },
          "endDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createbudget__Day"
              }
            ],
            "nullable": true
          },
          "frequency": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createbudget__ApiV1BudgetFrequency"
              }
            ]
          },
          "name": {
            "maxLength": 299,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "startDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createbudget__Day"
              }
            ],
            "nullable": true
          }
        },
        "required": [
          "frequency"
        ],
        "type": "object"
      },
      "ReviewedInput__createbudget__Day": {
        "example": "2016-07-22",
        "format": "date",
        "type": "string"
      },
      "ReviewedInput__createbudget__NonNegativeDollar": {
        "description": "A non-negative dollar amount",
        "format": "double",
        "minimum": 0,
        "type": "number"
      },
      "ReviewedInput__createcard__CardConfiguration": {
        "additionalProperties": false,
        "description": " The configuration of a card. Used both as the read-side response\n alongside @cardConfiguration@ and as an alternative input at issuance\n time.",
        "properties": {
          "singleUse": {
            "description": " Whether this card auto-cancels itself on the first approved non-zero\n authorization. Must be 'False' for physical cards.",
            "type": "boolean"
          }
        },
        "required": [
          "singleUse"
        ],
        "type": "object"
      },
      "ReviewedInput__createcard__CardKind": {
        "enum": [
          "debit",
          "credit"
        ],
        "type": "string"
      },
      "ReviewedInput__createcard__CreateCardRequest": {
        "additionalProperties": false,
        "properties": {
          "accountId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createcard__TransactionPartyId"
              },
              {
                "description": " The account the new card will draw funds from. Required when @kind@ is\n @debit@; list available account IDs via @GET https:\\/\\/api.mercury.com\\/api\\/v1\\/accounts@\n (for debit card creation, the accountId must be associated with a checking account).\n Optional when @kind@ is @credit@; omit to use your organization's Mercury\n credit account, or pass the credit accountId from @GET https:\\/\\/api.mercury.com\\/api\\/v1\\/credit@."
              }
            ],
            "nullable": true
          },
          "cardConfiguration": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createcard__CardConfiguration"
              },
              {
                "description": " Optional card configuration (single-use, agent, etc.)"
              }
            ],
            "nullable": true
          },
          "kind": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createcard__CardKind"
              },
              {
                "description": " Whether to issue a debit or credit card."
              }
            ]
          },
          "nickname": {
            "description": " Optional user-assigned label for the card.",
            "nullable": true,
            "type": "string"
          },
          "spendLimit": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createcard__CreateSpendLimit"
              },
              {
                "description": " Spending controls to apply at issuance."
              }
            ],
            "nullable": true
          },
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createcard__CreateCardType"
              },
              {
                "description": " The type of card to issue."
              }
            ]
          },
          "userId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createcard__UserId"
              },
              {
                "description": " The user to assign as the cardholder."
              }
            ]
          }
        },
        "required": [
          "userId",
          "type",
          "kind"
        ],
        "type": "object"
      },
      "ReviewedInput__createcard__CreateCardType": {
        "enum": [
          "virtual"
        ],
        "type": "string"
      },
      "ReviewedInput__createcard__CreateSpendLimit": {
        "additionalProperties": false,
        "properties": {
          "amountCents": {
            "description": " Maximum total spend allowed per interval, in cents.",
            "minimum": 0,
            "type": "integer"
          },
          "interval": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createcard__SpendLimitInterval"
              },
              {
                "description": " Rolling window the limit applies to."
              }
            ]
          }
        },
        "required": [
          "amountCents",
          "interval"
        ],
        "type": "object"
      },
      "ReviewedInput__createcard__SpendLimitInterval": {
        "enum": [
          "daily",
          "weekly",
          "monthly",
          "yearly"
        ],
        "type": "string"
      },
      "ReviewedInput__createcard__TransactionPartyId": {
        "description": "ID for a Mercury account.",
        "format": "uuid",
        "type": "string"
      },
      "ReviewedInput__createcard__UserId": {
        "description": "ID for the user",
        "format": "uuid",
        "type": "string"
      },
      "ReviewedInput__createcategory__CategoryName": {
        "type": "string"
      },
      "ReviewedInput__createcategory__CreateCategoryApiRequest": {
        "additionalProperties": false,
        "description": " Request body for creating a new expense category",
        "properties": {
          "name": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createcategory__CategoryName"
              },
              {
                "description": " Name of the category"
              }
            ]
          },
          "visibleForCardSpend": {
            "description": " Whether this category is applicable to card transactions",
            "type": "boolean"
          },
          "visibleForOther": {
            "description": " Whether this category is applicable to all other transaction kinds",
            "type": "boolean"
          },
          "visibleForReimbursements": {
            "description": " Whether this category is applicable to expense reimbursement transactions",
            "type": "boolean"
          }
        },
        "required": [
          "name",
          "visibleForReimbursements",
          "visibleForCardSpend",
          "visibleForOther"
        ],
        "type": "object"
      },
      "ReviewedInput__createcustomer__ApiV1ArCustomerAddressInput": {
        "additionalProperties": false,
        "description": " Address input for creating or updating customers",
        "properties": {
          "address1": {
            "description": " Primary street address line.",
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          },
          "address2": {
            "description": " Secondary street address line (optional).",
            "maxLength": 299,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "city": {
            "description": " City name.",
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          },
          "country": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createcustomer__ISO3166Alpha2"
              },
              {
                "description": " Two-letter country code (ISO 3166-1 alpha-2)."
              }
            ]
          },
          "name": {
            "description": " The mailing name of the address.",
            "type": "string"
          },
          "postalCode": {
            "description": " Postal or ZIP code.",
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          },
          "region": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createcustomer__Region"
              },
              {
                "description": " Either a two-letter US state code i.e. \"CA\" for California or a free-form identification of a particular region worldwide."
              }
            ]
          }
        },
        "required": [
          "name",
          "address1",
          "city",
          "region",
          "postalCode",
          "country"
        ],
        "type": "object"
      },
      "ReviewedInput__createcustomer__ApiV1ArCustomerCreateRequest": {
        "additionalProperties": false,
        "description": " Request data to create a customer using the public api",
        "properties": {
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createcustomer__ApiV1ArCustomerAddressInput"
              },
              {
                "description": " The address for the customer."
              }
            ],
            "nullable": true
          },
          "email": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createcustomer__Email"
              },
              {
                "description": " The email address for the customer."
              }
            ]
          },
          "name": {
            "description": " The name of the customer.",
            "maxLength": 5000,
            "minLength": 1,
            "type": "string"
          }
        },
        "required": [
          "name",
          "email"
        ],
        "type": "object"
      },
      "ReviewedInput__createcustomer__Email": {
        "type": "string"
      },
      "ReviewedInput__createcustomer__ISO3166Alpha2": {
        "type": "string"
      },
      "ReviewedInput__createcustomer__Region": {
        "type": "string"
      },
      "ReviewedInput__createinternaltransfer__InternalTransferAPIRequest": {
        "additionalProperties": false,
        "description": " Request body for POST /api/v1/transfer endpoint.\n Transfers funds between two depository, treasury, or investment accounts belonging to the same organization.",
        "properties": {
          "amount": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createinternaltransfer__PositiveDollar"
              }
            ]
          },
          "destinationAccountId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createinternaltransfer__TransactionPartyId"
              }
            ]
          },
          "idempotencyKey": {
            "type": "string"
          },
          "note": {
            "nullable": true,
            "type": "string"
          },
          "sourceAccountId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createinternaltransfer__TransactionPartyId"
              }
            ]
          }
        },
        "required": [
          "sourceAccountId",
          "destinationAccountId",
          "amount",
          "idempotencyKey"
        ],
        "type": "object"
      },
      "ReviewedInput__createinternaltransfer__PositiveDollar": {
        "description": "A positive dollar amount with at least 1 cent.",
        "format": "double",
        "minimum": 0.01,
        "type": "number"
      },
      "ReviewedInput__createinternaltransfer__TransactionPartyId": {
        "description": "ID for a Mercury account.",
        "format": "uuid",
        "type": "string"
      },
      "ReviewedInput__createinvoice__ApiSendEmailOption": {
        "enum": [
          "DontSend",
          "SendNow"
        ],
        "type": "string"
      },
      "ReviewedInput__createinvoice__ApiV1ArInvoiceCreateRequest": {
        "additionalProperties": false,
        "description": " The request body to create an invoice.",
        "properties": {
          "achDebitEnabled": {
            "description": " Whether or not the invoice can be paid via ACH debit.",
            "type": "boolean"
          },
          "ccEmails": {
            "description": " Emails to be CCed on invoice notifications/reminders.",
            "items": {
              "$ref": "#/components/schemas/ReviewedInput__createinvoice__Email"
            },
            "type": "array"
          },
          "creditCardEnabled": {
            "description": " Whether or not the invoice can be paid via credit card. Requires Stripe to be setup for the Mercury account.",
            "type": "boolean"
          },
          "currencyCode": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createinvoice__CurrencyCode"
              },
              {
                "description": " ISO 4217 currency code for the invoice. Defaults to USD if not provided."
              }
            ],
            "nullable": true
          },
          "customerId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createinvoice__CustomerId"
              },
              {
                "description": " Id of the customer the invoice was sent to."
              }
            ]
          },
          "destinationAccountId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createinvoice__TransactionPartyId"
              },
              {
                "description": " The Mercury account where invoice payments will be deposited. Use the /api/v1/accounts endpoint to list your accounts and find the corresponding id. Only checking and savings accounts are supported."
              }
            ]
          },
          "dueDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createinvoice__Day"
              },
              {
                "description": " The due date the invoice should be paid by. YYYY-MM-DD"
              }
            ]
          },
          "internalNote": {
            "description": " Internal note for the invoice, visible by users in the organization but not visible to payers.",
            "maxLength": 5000,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "invoiceDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createinvoice__Day"
              },
              {
                "description": " The date of the invoice, set by the invoice creator and likely to be context specific to the type of transaction. For example, it could be a date a service was performed. YYYY-MM-DD"
              }
            ]
          },
          "invoiceNumber": {
            "description": " The payer facing invoice number/identifier.",
            "maxLength": 299,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "lineItems": {
            "description": " The line items for the invoice",
            "items": {
              "$ref": "#/components/schemas/ReviewedInput__createinvoice__ApiV1ArLineItemData"
            },
            "type": "array"
          },
          "payerMemo": {
            "description": " Memo for the payer of the invoice.",
            "maxLength": 5000,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "poNumber": {
            "description": " Purchase order number for the invoice, if applicable.",
            "maxLength": 299,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "sendEmailOption": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createinvoice__ApiSendEmailOption"
              },
              {
                "description": " Rules for emailing the new invoice to payers. Can be \"DontSend\" to skip sending or \"SendNow\" to send immediately. If omitted, defaults to sending immediately."
              }
            ],
            "nullable": true
          },
          "servicePeriodEndDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createinvoice__Day"
              },
              {
                "description": " The end date for the service period this invoice covers, if applicable. YYYY-MM-DD"
              }
            ],
            "nullable": true
          },
          "servicePeriodStartDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createinvoice__Day"
              },
              {
                "description": " The start date for the service period this invoice covers, if applicable. YYYY-MM-DD"
              }
            ],
            "nullable": true
          },
          "useRealAccountNumber": {
            "description": " Whether or not the invoice payment instructions will show the real account and routing number for the destination account or use virtual account numbers instead. Virtual accounts are safer and are preferred in most cases.",
            "type": "boolean"
          }
        },
        "required": [
          "dueDate",
          "invoiceDate",
          "customerId",
          "ccEmails",
          "destinationAccountId",
          "creditCardEnabled",
          "achDebitEnabled",
          "useRealAccountNumber",
          "lineItems"
        ],
        "type": "object"
      },
      "ReviewedInput__createinvoice__ApiV1ArLineItemData": {
        "additionalProperties": false,
        "description": " Data for an invoice line item",
        "properties": {
          "name": {
            "description": " the name of the line item",
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          },
          "quantity": {
            "description": " the quantity of this item",
            "format": "double",
            "type": "number"
          },
          "salesTaxRate": {
            "description": " the sales tax applied to this item",
            "format": "double",
            "nullable": true,
            "type": "number"
          },
          "unitPrice": {
            "description": " the price of one unit of the item before sales tax",
            "multipleOf": 0.01,
            "type": "number"
          }
        },
        "required": [
          "name",
          "unitPrice",
          "quantity"
        ],
        "type": "object"
      },
      "ReviewedInput__createinvoice__CurrencyCode": {
        "type": "string"
      },
      "ReviewedInput__createinvoice__CustomerId": {
        "description": "The customer who will receive the invoice. Use the /api/v1/ar/customers endpoint to list your customers and find the corresponding id, or create a new customer first.",
        "format": "uuid",
        "type": "string"
      },
      "ReviewedInput__createinvoice__Day": {
        "example": "2016-07-22",
        "format": "date",
        "type": "string"
      },
      "ReviewedInput__createinvoice__Email": {
        "type": "string"
      },
      "ReviewedInput__createinvoice__TransactionPartyId": {
        "description": "ID for a Mercury account.",
        "format": "uuid",
        "type": "string"
      },
      "ReviewedInput__createproduct__ApiV1ArProductCreateRequest": {
        "additionalProperties": false,
        "description": " Request data to create a product catalog item using the public API",
        "properties": {
          "description": {
            "description": " Optional description of the product.",
            "nullable": true,
            "type": "string"
          },
          "name": {
            "description": " Name of the product. Must be unique per organization in combination with the unit price.",
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          },
          "unitPrice": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createproduct__Dollar"
              },
              {
                "description": " Unit price of the product, in dollars."
              }
            ]
          }
        },
        "required": [
          "name",
          "unitPrice"
        ],
        "type": "object"
      },
      "ReviewedInput__createproduct__Dollar": {
        "description": "A dollar amount",
        "format": "double",
        "type": "number"
      },
      "ReviewedInput__createreceiptuploadurl__ApiV1ReceiptUploadUrlRequest": {
        "additionalProperties": false,
        "description": " Request a presigned URL to upload a receipt file.",
        "properties": {
          "fileName": {
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          }
        },
        "required": [
          "fileName"
        ],
        "type": "object"
      },
      "ReviewedInput__createrecipient__AddRecipientRequest": {
        "additionalProperties": false,
        "properties": {
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__AddressData"
              }
            ],
            "description": "Deprecated. Use checkInfo instead."
          },
          "checkInfo": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__CheckInfoRaw"
              }
            ],
            "description": "Information needed to send a physical check."
          },
          "contactEmail": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__Email"
              }
            ],
            "description": "Contact email address of the recipient"
          },
          "domesticWireRoutingInfo": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__DomesticWireRoutingInfoRaw"
              }
            ],
            "description": "Information needed to send a domestic wire."
          },
          "electronicRoutingInfo": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__ElectronicRoutingInfoRaw"
              }
            ],
            "description": "Information needed to send an ACH."
          },
          "emails": {
            "items": {
              "$ref": "#/components/schemas/ReviewedInput__createrecipient__Email"
            },
            "type": "array"
          },
          "name": {
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          },
          "nickname": {
            "maxLength": 299,
            "type": "string"
          },
          "realTimePaymentRoutingInfo": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__RealTimePaymentRoutingInfoRaw"
              }
            ],
            "description": "Information needed to send a real-time payment."
          }
        },
        "required": [
          "name",
          "emails"
        ],
        "type": "object"
      },
      "ReviewedInput__createrecipient__AddressData": {
        "additionalProperties": false,
        "properties": {
          "address1": {
            "type": "string"
          },
          "address2": {
            "nullable": true,
            "type": "string"
          },
          "city": {
            "type": "string"
          },
          "postalCode": {
            "type": "string"
          },
          "state": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__USState"
              }
            ],
            "nullable": true
          }
        },
        "required": [
          "address1",
          "city",
          "postalCode"
        ],
        "type": "object"
      },
      "ReviewedInput__createrecipient__AddressWithoutName": {
        "additionalProperties": false,
        "properties": {
          "address1": {
            "type": "string"
          },
          "address2": {
            "nullable": true,
            "type": "string"
          },
          "city": {
            "type": "string"
          },
          "country": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__ISO3166Alpha2"
              }
            ]
          },
          "postalCode": {
            "type": "string"
          },
          "region": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__Region"
              }
            ]
          }
        },
        "required": [
          "address1",
          "city",
          "region",
          "postalCode",
          "country"
        ],
        "type": "object"
      },
      "ReviewedInput__createrecipient__CheckInfoRaw": {
        "additionalProperties": false,
        "properties": {
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__AddressWithoutName"
              },
              {
                "description": " Mailing address for sending a physical check."
              }
            ]
          }
        },
        "required": [
          "address"
        ],
        "type": "object"
      },
      "ReviewedInput__createrecipient__DomesticWireRoutingInfoRaw": {
        "additionalProperties": false,
        "properties": {
          "accountNumber": {
            "description": " The account number of the bank account to use for domestic wire payments.",
            "type": "string"
          },
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__AddressWithoutName"
              },
              {
                "description": " The address of the bank account to use for domestic wire payments. This has to be the recipient's legal address."
              }
            ]
          },
          "routingNumber": {
            "description": " The routing number of the bank account to use for domestic wire payments.",
            "type": "string"
          }
        },
        "required": [
          "accountNumber",
          "routingNumber",
          "address"
        ],
        "type": "object"
      },
      "ReviewedInput__createrecipient__ElectronicAccountType": {
        "enum": [
          "businessChecking",
          "businessSavings",
          "personalChecking",
          "personalSavings",
          "businessGeneralLedger",
          "personalGeneralLedger",
          "businessLoan",
          "personalLoan"
        ],
        "type": "string"
      },
      "ReviewedInput__createrecipient__ElectronicRoutingInfoRaw": {
        "additionalProperties": false,
        "properties": {
          "accountNumber": {
            "description": " The account number of the bank account to use for ACH payments.",
            "type": "string"
          },
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__AddressWithoutName"
              },
              {
                "description": " The address of the bank account to use for ACH payments. This has to be the recipient's legal address."
              }
            ]
          },
          "electronicAccountType": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__ElectronicAccountType"
              },
              {
                "description": " The type of bank account to use for ACH payments."
              }
            ]
          },
          "routingNumber": {
            "description": " The routing number of the bank account to use for ACH payments.",
            "type": "string"
          }
        },
        "required": [
          "accountNumber",
          "routingNumber",
          "electronicAccountType",
          "address"
        ],
        "type": "object"
      },
      "ReviewedInput__createrecipient__Email": {
        "type": "string"
      },
      "ReviewedInput__createrecipient__ISO3166Alpha2": {
        "type": "string"
      },
      "ReviewedInput__createrecipient__RealTimePaymentRoutingInfoRaw": {
        "additionalProperties": false,
        "description": " Routing information for real-time payments.",
        "properties": {
          "accountNumber": {
            "description": " The account number of the bank account to use for real-time payments.",
            "type": "string"
          },
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipient__AddressWithoutName"
              },
              {
                "description": " The address of the bank account to use for real-time payments."
              }
            ]
          },
          "routingNumber": {
            "description": " The routing number of the bank account to use for real-time payments.",
            "type": "string"
          }
        },
        "required": [
          "accountNumber",
          "routingNumber",
          "address"
        ],
        "type": "object"
      },
      "ReviewedInput__createrecipient__Region": {
        "type": "string"
      },
      "ReviewedInput__createrecipient__USState": {
        "enum": [
          "AL",
          "AK",
          "AZ",
          "AR",
          "CA",
          "CO",
          "CT",
          "DE",
          "DC",
          "FL",
          "GA",
          "HI",
          "ID",
          "IL",
          "IN",
          "IA",
          "KS",
          "KY",
          "LA",
          "ME",
          "MD",
          "MA",
          "MI",
          "MN",
          "MS",
          "MO",
          "MT",
          "NE",
          "NV",
          "NH",
          "NJ",
          "NM",
          "NY",
          "NC",
          "ND",
          "OH",
          "OK",
          "OR",
          "PA",
          "RI",
          "SC",
          "SD",
          "TN",
          "TX",
          "UT",
          "VT",
          "VA",
          "WA",
          "WV",
          "WI",
          "WY"
        ],
        "type": "string"
      },
      "ReviewedInput__createrecipientinvite__CreateRecipientInviteApiRequest": {
        "additionalProperties": false,
        "description": " Request body for creating a recipient invite.",
        "properties": {
          "contactEmail": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipientinvite__Email"
              },
              {
                "description": " Contact email the invite is sent to. When 'recipientId' is present, updates the recipient's contact email to this value."
              }
            ]
          },
          "name": {
            "description": " Name the invite is created for. This field is required when 'recipientId' is absent.\n When 'recipientId' is present, this field is optional and updates the recipient's name to this value.",
            "maxLength": 299,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "notes": {
            "description": " Optional notes shown to the recipient.",
            "maxLength": 5000,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "organizationNameOnRequest": {
            "description": " Optional organization name to display on the request.",
            "maxLength": 299,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "paymentMethods": {
            "description": " Payment methods the recipient may submit details for.",
            "items": {
              "$ref": "#/components/schemas/ReviewedInput__createrecipientinvite__PaymentMethod"
            },
            "minItems": 1,
            "type": "array"
          },
          "recipientId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createrecipientinvite__TransactionPartyId"
              },
              {
                "description": " The recipient to send the invite to."
              }
            ],
            "nullable": true
          },
          "requireTaxDocument": {
            "description": " Whether the recipient must upload a tax document.",
            "type": "boolean"
          },
          "sendEmail": {
            "description": " When true, sends an Email to the invitee. When false, does not send an email to the invitee.",
            "type": "boolean"
          }
        },
        "required": [
          "contactEmail",
          "paymentMethods",
          "requireTaxDocument",
          "sendEmail"
        ],
        "type": "object"
      },
      "ReviewedInput__createrecipientinvite__Email": {
        "type": "string"
      },
      "ReviewedInput__createrecipientinvite__PaymentMethod": {
        "enum": [
          "ach",
          "check",
          "domesticWire",
          "internationalWire",
          "realTimePayment"
        ],
        "type": "string"
      },
      "ReviewedInput__createrecipientinvite__TransactionPartyId": {
        "description": "ID for a Mercury account.",
        "format": "uuid",
        "type": "string"
      },
      "ReviewedInput__createtransaction__PositiveDollar": {
        "description": "A positive dollar amount with at least 1 cent.",
        "format": "double",
        "minimum": 0.01,
        "type": "number"
      },
      "ReviewedInput__createtransaction__PostTransactionAPIRequest": {
        "additionalProperties": false,
        "properties": {
          "amount": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createtransaction__PositiveDollar"
              }
            ],
            "description": "Amount of USD you want to send, must be a positive number."
          },
          "duplicateCheckOverride": {
            "description": "Set to true to skip the duplicate payment check. By default, payments are blocked if the same account sent the same amount to the same recipient with the same payment method in the last 24 hours, even when the idempotency key is different. Use this field only when you intentionally send a repeat payment.",
            "type": "boolean"
          },
          "externalMemo": {
            "description": "Optional external memo",
            "maxLength": 299,
            "type": "string"
          },
          "idempotencyKey": {
            "description": "Unique string identifying the transaction",
            "type": "string"
          },
          "note": {
            "description": "Optional note",
            "type": "string"
          },
          "paymentMethod": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createtransaction__PostTransactionPaymentMethod"
              }
            ],
            "description": "If domesticWire is used, then the purpose field is required."
          },
          "purpose": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createtransaction__PostTransactionSendMoneyPurpose"
              }
            ],
            "description": "Purpose of payment with category and optional additional info. Required when paymentMethod is 'domesticWire'."
          },
          "recipientId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createtransaction__TransactionPartyId"
              }
            ],
            "description": "Recipient ID from the /recipients endpoint."
          }
        },
        "required": [
          "recipientId",
          "amount",
          "paymentMethod",
          "idempotencyKey"
        ],
        "type": "object"
      },
      "ReviewedInput__createtransaction__PostTransactionPaymentMethod": {
        "enum": [
          "ach",
          "check",
          "domesticWire",
          "realTimePayment"
        ],
        "type": "string"
      },
      "ReviewedInput__createtransaction__PostTransactionSendMoneyPurpose": {
        "additionalProperties": false,
        "description": " External API representation of SendMoneyPurpose.\n Only exposes the 'simple' field to decouple internal implementation from external API.",
        "properties": {
          "simple": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__createtransaction__SimplePurpose"
              }
            ],
            "nullable": true
          }
        },
        "type": "object"
      },
      "ReviewedInput__createtransaction__SimplePurpose": {
        "additionalProperties": false,
        "properties": {
          "additionalInfo": {
            "description": "Additional information. Required for: Vendor (vendor name), Contractor (contractor name), Other (payment description). Optional for Subsidiary (subsidiary name). Not accepted for any other categories.",
            "type": "string"
          },
          "category": {
            "description": "Payment category.",
            "enum": [
              "employee",
              "landlord",
              "vendor",
              "contractor",
              "subsidiary",
              "transferToMyExternalAccount",
              "familyMemberOrFriend",
              "forGoodsOrServices",
              "angelInvestment",
              "savingsOrInvestments",
              "expenses",
              "travel",
              "other"
            ],
            "type": "string"
          }
        },
        "required": [
          "category"
        ],
        "type": "object"
      },
      "ReviewedInput__createtransaction__TransactionPartyId": {
        "description": "ID for a Mercury account.",
        "format": "uuid",
        "type": "string"
      },
      "ReviewedInput__createwebhook__CreateWebhookParams": {
        "additionalProperties": false,
        "description": " Request body for creating a new webhook endpoint",
        "properties": {
          "eventTypes": {
            "description": " Optional array of event types to subscribe to. Nothing means subscribe to all event types.",
            "items": {
              "$ref": "#/components/schemas/ReviewedInput__createwebhook__WebhookEventType"
            },
            "nullable": true,
            "type": "array"
          },
          "filterPaths": {
            "description": " Optional array of resource field paths to filter events by. When specified, webhook events will only be sent when one of these fields changes. Nothing means no filtering (all events are sent).",
            "items": {
              "$ref": "#/components/schemas/ReviewedInput__createwebhook__ResourceField"
            },
            "nullable": true,
            "type": "array"
          },
          "url": {
            "description": " The URL to which webhook events will be delivered",
            "type": "string"
          }
        },
        "required": [
          "url"
        ],
        "type": "object"
      },
      "ReviewedInput__createwebhook__ResourceField": {
        "enum": [
          "transaction.amount",
          "transaction.bankDescription",
          "transaction.categoryData",
          "transaction.customCategory",
          "transaction.customCategory.id",
          "transaction.customCategory.name",
          "transaction.mercuryCategory",
          "transaction.estimatedDeliveryDate",
          "transaction.externalMemo",
          "transaction.failedAt",
          "transaction.note",
          "transaction.postedAt",
          "transaction.reasonForFailure",
          "transaction.status",
          "checkingAccount.availableBalance",
          "checkingAccount.currentBalance",
          "checkingAccount.inFlightBalance",
          "savingsAccount.availableBalance",
          "savingsAccount.currentBalance",
          "savingsAccount.inFlightBalance",
          "treasuryAccount.availableBalance",
          "treasuryAccount.currentBalance",
          "treasuryAccount.inFlightBalance",
          "investmentAccount.availableBalance",
          "investmentAccount.currentBalance",
          "investmentAccount.inFlightBalance",
          "creditAccount.availableBalance",
          "creditAccount.currentBalance",
          "creditAccount.inFlightBalance"
        ],
        "type": "string"
      },
      "ReviewedInput__createwebhook__WebhookEventType": {
        "enum": [
          "transaction.created",
          "transaction.updated",
          "checkingAccount.balance.updated",
          "savingsAccount.balance.updated",
          "treasuryAccount.balance.updated",
          "investmentAccount.balance.updated",
          "creditAccount.balance.updated"
        ],
        "type": "string"
      },
      "ReviewedInput__editcategory__CategoryName": {
        "type": "string"
      },
      "ReviewedInput__editcategory__EditCategoryApiRequest": {
        "additionalProperties": false,
        "description": " Request body for editing an existing expense category. All fields are optional.",
        "properties": {
          "name": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__editcategory__CategoryName"
              },
              {
                "description": " New name for the category"
              }
            ],
            "nullable": true
          },
          "visibleForCardSpend": {
            "description": " Whether this category is applicable to card transactions",
            "nullable": true,
            "type": "boolean"
          },
          "visibleForOther": {
            "description": " Whether this category is applicable to all other transaction kinds",
            "nullable": true,
            "type": "boolean"
          },
          "visibleForReimbursements": {
            "description": " Whether this category is applicable to expense reimbursement transactions",
            "nullable": true,
            "type": "boolean"
          }
        },
        "type": "object"
      },
      "ReviewedInput__requestsendmoney__PositiveDollar": {
        "description": "A positive dollar amount with at least 1 cent.",
        "format": "double",
        "minimum": 0.01,
        "type": "number"
      },
      "ReviewedInput__requestsendmoney__PostTransactionSendMoneyPurpose": {
        "additionalProperties": false,
        "description": " External API representation of SendMoneyPurpose.\n Only exposes the 'simple' field to decouple internal implementation from external API.",
        "properties": {
          "simple": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__requestsendmoney__SimplePurpose"
              }
            ],
            "nullable": true
          }
        },
        "type": "object"
      },
      "ReviewedInput__requestsendmoney__RequestSendMoneyPaymentMethod": {
        "enum": [
          "ach",
          "check",
          "domesticWire",
          "internationalWire",
          "realTimePayment"
        ],
        "type": "string"
      },
      "ReviewedInput__requestsendmoney__SendMoneyAPIRequest": {
        "additionalProperties": false,
        "properties": {
          "amount": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__requestsendmoney__PositiveDollar"
              }
            ],
            "description": "Amount of USD you want to send, must be a positive number."
          },
          "chargeType": {
            "description": "Who pays intermediary bank fees on a USD international wire. Pass 'ours' so the recipient receives the full amount (Mercury charges a $15 fee), or 'shared' to split those fees. If omitted on a USD international wire, this defaults to 'ours'. Do not include this field for other payment methods or accounts that are not charged international-wire fees.",
            "enum": [
              "ours",
              "shared"
            ],
            "type": "string"
          },
          "duplicateCheckOverride": {
            "description": "Set to true to skip the duplicate payment check. By default, payments are blocked if the same account sent the same amount to the same recipient with the same payment method in the last 24 hours, even when the idempotency key is different. Use this field only when you intentionally send a repeat payment. The check occurs when you create the request. When an approver approves the request, the check does not occur again.",
            "type": "boolean"
          },
          "externalMemo": {
            "description": "Optional external memo",
            "maxLength": 299,
            "type": "string"
          },
          "idempotencyKey": {
            "description": "Unique string identifying the transaction",
            "type": "string"
          },
          "note": {
            "description": "Optional note",
            "type": "string"
          },
          "paymentMethod": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__requestsendmoney__RequestSendMoneyPaymentMethod"
              }
            ],
            "description": "Payment method to use. If domesticWire or internationalWire is used, then the purpose field is required."
          },
          "purpose": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__requestsendmoney__PostTransactionSendMoneyPurpose"
              }
            ],
            "description": "Purpose of payment with category and optional additional info. Required when paymentMethod is 'domesticWire' or 'internationalWire'."
          },
          "recipientId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__requestsendmoney__TransactionPartyId"
              }
            ],
            "description": "Recipient ID from the /recipients endpoint."
          }
        },
        "required": [
          "recipientId",
          "amount",
          "paymentMethod",
          "idempotencyKey"
        ],
        "type": "object"
      },
      "ReviewedInput__requestsendmoney__SimplePurpose": {
        "additionalProperties": false,
        "properties": {
          "additionalInfo": {
            "description": "Additional information. Required for: Vendor (vendor name), Contractor (contractor name), Other (payment description). Optional for Subsidiary (subsidiary name). Not accepted for any other categories.",
            "type": "string"
          },
          "category": {
            "description": "Payment category.",
            "enum": [
              "employee",
              "landlord",
              "vendor",
              "contractor",
              "subsidiary",
              "transferToMyExternalAccount",
              "familyMemberOrFriend",
              "forGoodsOrServices",
              "angelInvestment",
              "savingsOrInvestments",
              "expenses",
              "travel",
              "other"
            ],
            "type": "string"
          }
        },
        "required": [
          "category"
        ],
        "type": "object"
      },
      "ReviewedInput__requestsendmoney__TransactionPartyId": {
        "description": "ID for a Mercury account.",
        "format": "uuid",
        "type": "string"
      },
      "ReviewedInput__requesttransfermoney__PositiveDollar": {
        "description": "A positive dollar amount with at least 1 cent.",
        "format": "double",
        "minimum": 0.01,
        "type": "number"
      },
      "ReviewedInput__requesttransfermoney__TransactionPartyId": {
        "description": "ID for a Mercury account.",
        "format": "uuid",
        "type": "string"
      },
      "ReviewedInput__requesttransfermoney__TransferMoneyApprovalRequestAPIRequest": {
        "additionalProperties": false,
        "description": " Parameters for requesting a transfer between two accounts.",
        "properties": {
          "amount": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__requesttransfermoney__PositiveDollar"
              }
            ]
          },
          "destinationAccountId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__requesttransfermoney__TransactionPartyId"
              }
            ]
          },
          "idempotencyKey": {
            "type": "string"
          },
          "note": {
            "nullable": true,
            "type": "string"
          },
          "sourceAccountId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__requesttransfermoney__TransactionPartyId"
              }
            ]
          }
        },
        "required": [
          "sourceAccountId",
          "destinationAccountId",
          "amount",
          "idempotencyKey"
        ],
        "type": "object"
      },
      "ReviewedInput__updatebudget__ApiV1BudgetFrequency": {
        "enum": [
          "oneTime",
          "daily",
          "weekly",
          "monthly",
          "yearly"
        ],
        "type": "string"
      },
      "ReviewedInput__updatebudget__ApiV1UpdateBudgetRequest": {
        "additionalProperties": false,
        "properties": {
          "amountPerUserPerPeriod": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatebudget__NonNegativeDollar"
              }
            ],
            "nullable": true
          },
          "description": {
            "nullable": true,
            "type": "string"
          },
          "endDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatebudget__Day"
              }
            ],
            "nullable": true
          },
          "frequency": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatebudget__ApiV1BudgetFrequency"
              }
            ],
            "nullable": true
          },
          "name": {
            "maxLength": 299,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "startDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatebudget__Day"
              }
            ],
            "nullable": true
          }
        },
        "type": "object"
      },
      "ReviewedInput__updatebudget__Day": {
        "example": "2016-07-22",
        "format": "date",
        "type": "string"
      },
      "ReviewedInput__updatebudget__NonNegativeDollar": {
        "description": "A non-negative dollar amount",
        "format": "double",
        "minimum": 0,
        "type": "number"
      },
      "ReviewedInput__updatecard__NicknameUpdate": {
        "description": "Nickname update action. Omit the field to keep the current nickname, send null or an empty/whitespace-only string to clear it, or send a string to set it.",
        "nullable": true,
        "type": "string"
      },
      "ReviewedInput__updatecard__SpendLimit": {
        "additionalProperties": false,
        "description": " Spending controls applied to a card",
        "properties": {
          "amountCents": {
            "description": " Maximum total spend allowed per interval, in cents.",
            "minimum": 0,
            "type": "integer"
          },
          "atmAmountCents": {
            "description": " Maximum ATM withdrawal allowed per interval, in cents. Null for virtual\n cards and credit cards.",
            "minimum": 0,
            "nullable": true,
            "type": "integer"
          },
          "interval": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatecard__SpendLimitInterval"
              },
              {
                "description": " Rolling window the limit applies to."
              }
            ]
          }
        },
        "required": [
          "amountCents",
          "interval"
        ],
        "type": "object"
      },
      "ReviewedInput__updatecard__SpendLimitInterval": {
        "enum": [
          "daily",
          "weekly",
          "monthly",
          "yearly"
        ],
        "type": "string"
      },
      "ReviewedInput__updatecard__UpdateCardRequest": {
        "additionalProperties": false,
        "description": " At least one updateable field must be provided;\n requests where every field is the same are rejected.",
        "properties": {
          "nickname": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatecard__NicknameUpdate"
              },
              {
                "description": " Updated card nickname. Omit to keep current, send null/empty to clear, send a string to set."
              }
            ]
          },
          "spendLimit": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatecard__SpendLimit"
              },
              {
                "description": " Updated spending controls for the card. Omit to leave unchanged."
              }
            ],
            "nullable": true
          }
        },
        "type": "object"
      },
      "ReviewedInput__updatecustomer__ApiV1ArCustomerAddressInput": {
        "additionalProperties": false,
        "description": " Address input for creating or updating customers",
        "properties": {
          "address1": {
            "description": " Primary street address line.",
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          },
          "address2": {
            "description": " Secondary street address line (optional).",
            "maxLength": 299,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "city": {
            "description": " City name.",
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          },
          "country": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatecustomer__ISO3166Alpha2"
              },
              {
                "description": " Two-letter country code (ISO 3166-1 alpha-2)."
              }
            ]
          },
          "name": {
            "description": " The mailing name of the address.",
            "type": "string"
          },
          "postalCode": {
            "description": " Postal or ZIP code.",
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          },
          "region": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatecustomer__Region"
              },
              {
                "description": " Either a two-letter US state code i.e. \"CA\" for California or a free-form identification of a particular region worldwide."
              }
            ]
          }
        },
        "required": [
          "name",
          "address1",
          "city",
          "region",
          "postalCode",
          "country"
        ],
        "type": "object"
      },
      "ReviewedInput__updatecustomer__ApiV1ArCustomerUpdateRequest": {
        "additionalProperties": false,
        "description": " Request data to update a customer using the public api",
        "properties": {
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatecustomer__ApiV1ArCustomerAddressInput"
              },
              {
                "description": " The address for the customer."
              }
            ],
            "nullable": true
          },
          "email": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatecustomer__Email"
              },
              {
                "description": " The email address for the customer."
              }
            ]
          },
          "name": {
            "description": " The name of the customer.",
            "maxLength": 5000,
            "minLength": 1,
            "type": "string"
          },
          "resendOpenInvoices": {
            "description": " Open invoices for the customer will be resent with updated data\n when this is true.",
            "type": "boolean"
          }
        },
        "required": [
          "name",
          "email",
          "resendOpenInvoices"
        ],
        "type": "object"
      },
      "ReviewedInput__updatecustomer__Email": {
        "type": "string"
      },
      "ReviewedInput__updatecustomer__ISO3166Alpha2": {
        "type": "string"
      },
      "ReviewedInput__updatecustomer__Region": {
        "type": "string"
      },
      "ReviewedInput__updateinvoice__ApiV1ArInvoiceUpdateRequest": {
        "additionalProperties": false,
        "description": " The request body to update an invoice.",
        "properties": {
          "achDebitEnabled": {
            "description": " Whether or not the invoice can be paid via ACH debit.",
            "type": "boolean"
          },
          "ccEmails": {
            "description": " List of emails to be CCed on notifications/reminders.",
            "items": {
              "$ref": "#/components/schemas/ReviewedInput__updateinvoice__Email"
            },
            "type": "array"
          },
          "creditCardEnabled": {
            "description": " Whether or not the invoice can be paid via credit card. Requires Stripe to be setup for the Mercury account.",
            "type": "boolean"
          },
          "dueDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updateinvoice__Day"
              },
              {
                "description": " The date the invoice should be paid by. YYYY-MM-DD"
              }
            ]
          },
          "internalNote": {
            "description": " Internal note for the invoice, visible by users in the organization but not visible to payers.",
            "maxLength": 5000,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "invoiceDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updateinvoice__Day"
              },
              {
                "description": " The date of the invoice, set by the invoice creator. Does not have to be the day the invoice was created. It can be business specific i.e. service/sale date. YYYY-MM-DD"
              }
            ]
          },
          "invoiceNumber": {
            "description": " The invoice number.",
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          },
          "lineItems": {
            "description": " The line items for the invoice",
            "items": {
              "$ref": "#/components/schemas/ReviewedInput__updateinvoice__ApiV1ArLineItemData"
            },
            "type": "array"
          },
          "payerMemo": {
            "description": " Memo for the payer of the invoice.",
            "maxLength": 5000,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "poNumber": {
            "description": " The purchase order number for the invoice if applicable.",
            "maxLength": 299,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "servicePeriodEndDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updateinvoice__Day"
              },
              {
                "description": " The end date for the service period this invoice covers, if applicable. YYYY-MM-DD"
              }
            ],
            "nullable": true
          },
          "servicePeriodStartDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updateinvoice__Day"
              },
              {
                "description": " The start date for the service period this invoice covers, if applicable. YYYY-MM-DD"
              }
            ],
            "nullable": true
          },
          "useRealAccountNumber": {
            "description": " Whether or not the invoice payment instructions will show the real account and routing number for the destination account or use virtual account numbers instead.",
            "type": "boolean"
          }
        },
        "required": [
          "dueDate",
          "invoiceDate",
          "invoiceNumber",
          "ccEmails",
          "creditCardEnabled",
          "achDebitEnabled",
          "useRealAccountNumber",
          "lineItems"
        ],
        "type": "object"
      },
      "ReviewedInput__updateinvoice__ApiV1ArLineItemData": {
        "additionalProperties": false,
        "description": " Data for an invoice line item",
        "properties": {
          "name": {
            "description": " the name of the line item",
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          },
          "quantity": {
            "description": " the quantity of this item",
            "format": "double",
            "type": "number"
          },
          "salesTaxRate": {
            "description": " the sales tax applied to this item",
            "format": "double",
            "nullable": true,
            "type": "number"
          },
          "unitPrice": {
            "description": " the price of one unit of the item before sales tax",
            "multipleOf": 0.01,
            "type": "number"
          }
        },
        "required": [
          "name",
          "unitPrice",
          "quantity"
        ],
        "type": "object"
      },
      "ReviewedInput__updateinvoice__Day": {
        "example": "2016-07-22",
        "format": "date",
        "type": "string"
      },
      "ReviewedInput__updateinvoice__Email": {
        "type": "string"
      },
      "ReviewedInput__updaterecipient__AddressData": {
        "additionalProperties": false,
        "properties": {
          "address1": {
            "type": "string"
          },
          "address2": {
            "nullable": true,
            "type": "string"
          },
          "city": {
            "type": "string"
          },
          "postalCode": {
            "type": "string"
          },
          "state": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__USState"
              }
            ],
            "nullable": true
          }
        },
        "required": [
          "address1",
          "city",
          "postalCode"
        ],
        "type": "object"
      },
      "ReviewedInput__updaterecipient__AddressWithoutName": {
        "additionalProperties": false,
        "properties": {
          "address1": {
            "type": "string"
          },
          "address2": {
            "nullable": true,
            "type": "string"
          },
          "city": {
            "type": "string"
          },
          "country": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__ISO3166Alpha2"
              }
            ]
          },
          "postalCode": {
            "type": "string"
          },
          "region": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__Region"
              }
            ]
          }
        },
        "required": [
          "address1",
          "city",
          "region",
          "postalCode",
          "country"
        ],
        "type": "object"
      },
      "ReviewedInput__updaterecipient__CheckInfoRaw": {
        "additionalProperties": false,
        "properties": {
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__AddressWithoutName"
              },
              {
                "description": " Mailing address for sending a physical check."
              }
            ]
          }
        },
        "required": [
          "address"
        ],
        "type": "object"
      },
      "ReviewedInput__updaterecipient__DomesticWireRoutingInfoRaw": {
        "additionalProperties": false,
        "properties": {
          "accountNumber": {
            "description": " The account number of the bank account to use for domestic wire payments.",
            "type": "string"
          },
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__AddressWithoutName"
              },
              {
                "description": " The address of the bank account to use for domestic wire payments. This has to be the recipient's legal address."
              }
            ]
          },
          "routingNumber": {
            "description": " The routing number of the bank account to use for domestic wire payments.",
            "type": "string"
          }
        },
        "required": [
          "accountNumber",
          "routingNumber",
          "address"
        ],
        "type": "object"
      },
      "ReviewedInput__updaterecipient__EditRecipientRequest": {
        "additionalProperties": false,
        "properties": {
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__AddressData"
              }
            ],
            "description": "Deprecated. Use checkInfo instead."
          },
          "checkInfo": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__CheckInfoRaw"
              }
            ],
            "description": "Information needed to send a check."
          },
          "contactEmail": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__Email"
              }
            ],
            "description": "Contact email address of the recipient"
          },
          "domesticWireRoutingInfo": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__DomesticWireRoutingInfoRaw"
              }
            ],
            "description": "Information needed to send a domestic wire."
          },
          "electronicRoutingInfo": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__ElectronicRoutingInfoRaw"
              }
            ],
            "description": "Information needed to send an ACH."
          },
          "emails": {
            "items": {
              "$ref": "#/components/schemas/ReviewedInput__updaterecipient__Email"
            },
            "type": "array"
          },
          "name": {
            "maxLength": 299,
            "minLength": 1,
            "type": "string"
          },
          "nickname": {
            "type": "string"
          },
          "realTimePaymentRoutingInfo": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__RealTimePaymentRoutingInfoRaw"
              }
            ],
            "description": "Information needed to send a real-time payment."
          }
        },
        "type": "object"
      },
      "ReviewedInput__updaterecipient__ElectronicAccountType": {
        "enum": [
          "businessChecking",
          "businessSavings",
          "personalChecking",
          "personalSavings",
          "businessGeneralLedger",
          "personalGeneralLedger",
          "businessLoan",
          "personalLoan"
        ],
        "type": "string"
      },
      "ReviewedInput__updaterecipient__ElectronicRoutingInfoRaw": {
        "additionalProperties": false,
        "properties": {
          "accountNumber": {
            "description": " The account number of the bank account to use for ACH payments.",
            "type": "string"
          },
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__AddressWithoutName"
              },
              {
                "description": " The address of the bank account to use for ACH payments. This has to be the recipient's legal address."
              }
            ]
          },
          "electronicAccountType": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__ElectronicAccountType"
              },
              {
                "description": " The type of bank account to use for ACH payments."
              }
            ]
          },
          "routingNumber": {
            "description": " The routing number of the bank account to use for ACH payments.",
            "type": "string"
          }
        },
        "required": [
          "accountNumber",
          "routingNumber",
          "electronicAccountType",
          "address"
        ],
        "type": "object"
      },
      "ReviewedInput__updaterecipient__Email": {
        "type": "string"
      },
      "ReviewedInput__updaterecipient__ISO3166Alpha2": {
        "type": "string"
      },
      "ReviewedInput__updaterecipient__RealTimePaymentRoutingInfoRaw": {
        "additionalProperties": false,
        "description": " Routing information for real-time payments.",
        "properties": {
          "accountNumber": {
            "description": " The account number of the bank account to use for real-time payments.",
            "type": "string"
          },
          "address": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updaterecipient__AddressWithoutName"
              },
              {
                "description": " The address of the bank account to use for real-time payments."
              }
            ]
          },
          "routingNumber": {
            "description": " The routing number of the bank account to use for real-time payments.",
            "type": "string"
          }
        },
        "required": [
          "accountNumber",
          "routingNumber",
          "address"
        ],
        "type": "object"
      },
      "ReviewedInput__updaterecipient__Region": {
        "type": "string"
      },
      "ReviewedInput__updaterecipient__USState": {
        "enum": [
          "AL",
          "AK",
          "AZ",
          "AR",
          "CA",
          "CO",
          "CT",
          "DE",
          "DC",
          "FL",
          "GA",
          "HI",
          "ID",
          "IL",
          "IN",
          "IA",
          "KS",
          "KY",
          "LA",
          "ME",
          "MD",
          "MA",
          "MI",
          "MN",
          "MS",
          "MO",
          "MT",
          "NE",
          "NV",
          "NH",
          "NJ",
          "NM",
          "NY",
          "NC",
          "ND",
          "OH",
          "OK",
          "OR",
          "PA",
          "RI",
          "SC",
          "SD",
          "TN",
          "TX",
          "UT",
          "VT",
          "VA",
          "WA",
          "WV",
          "WI",
          "WY"
        ],
        "type": "string"
      },
      "ReviewedInput__updatetransaction__ApiUpdateTransactionRequest": {
        "additionalProperties": false,
        "description": " Request body for updating transaction metadata via the public API",
        "properties": {
          "categoryId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatetransaction__CategoryUpdate"
              },
              {
                "description": " How to update the transaction's category. Omit field to keep current, send null to clear, send ID to set."
              }
            ]
          },
          "note": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatetransaction__NoteUpdate"
              },
              {
                "description": " How to update the transaction's note. Omit field to keep current, send null/empty to clear, send text to set."
              }
            ]
          }
        },
        "type": "object"
      },
      "ReviewedInput__updatetransaction__CategoryUpdate": {
        "description": "Category update action. Omit field to keep current category, send null to clear category, send an ID to set category.",
        "format": "uuid",
        "nullable": true,
        "type": "string"
      },
      "ReviewedInput__updatetransaction__NoteUpdate": {
        "description": "Note update action. Omit field to keep current note, send null or empty string to clear note, send text to set note.",
        "nullable": true,
        "type": "string"
      },
      "ReviewedInput__updatewebhook__ResourceField": {
        "enum": [
          "transaction.amount",
          "transaction.bankDescription",
          "transaction.categoryData",
          "transaction.customCategory",
          "transaction.customCategory.id",
          "transaction.customCategory.name",
          "transaction.mercuryCategory",
          "transaction.estimatedDeliveryDate",
          "transaction.externalMemo",
          "transaction.failedAt",
          "transaction.note",
          "transaction.postedAt",
          "transaction.reasonForFailure",
          "transaction.status",
          "checkingAccount.availableBalance",
          "checkingAccount.currentBalance",
          "checkingAccount.inFlightBalance",
          "savingsAccount.availableBalance",
          "savingsAccount.currentBalance",
          "savingsAccount.inFlightBalance",
          "treasuryAccount.availableBalance",
          "treasuryAccount.currentBalance",
          "treasuryAccount.inFlightBalance",
          "investmentAccount.availableBalance",
          "investmentAccount.currentBalance",
          "investmentAccount.inFlightBalance",
          "creditAccount.availableBalance",
          "creditAccount.currentBalance",
          "creditAccount.inFlightBalance"
        ],
        "type": "string"
      },
      "ReviewedInput__updatewebhook__UpdateWebhookParams": {
        "additionalProperties": false,
        "description": " Request body for updating an existing webhook endpoint.\n All fields are optional - only provided fields will be updated.",
        "properties": {
          "eventTypes": {
            "description": " Event types to subscribe to. Send null to subscribe to all event types. Send an array to subscribe to specific types. Omit to leave unchanged.",
            "items": {
              "$ref": "#/components/schemas/ReviewedInput__updatewebhook__WebhookEventType"
            },
            "nullable": true,
            "type": "array"
          },
          "filterPaths": {
            "description": " Resource field paths to filter events by. When specified, webhook events will only be sent when one of these fields changes. Send null for no filtering. Send an array to filter by specific fields. Omit to leave unchanged.",
            "items": {
              "$ref": "#/components/schemas/ReviewedInput__updatewebhook__ResourceField"
            },
            "nullable": true,
            "type": "array"
          },
          "status": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__updatewebhook__WebhookUpdateStatus"
              },
              {
                "description": " Webhook status. Only 'active' and 'paused' values are allowed. Omit to leave unchanged."
              }
            ],
            "nullable": true
          },
          "url": {
            "description": " The URL to which webhook events will be delivered. Omit to leave unchanged.",
            "nullable": true,
            "type": "string"
          }
        },
        "type": "object"
      },
      "ReviewedInput__updatewebhook__WebhookEventType": {
        "enum": [
          "transaction.created",
          "transaction.updated",
          "checkingAccount.balance.updated",
          "savingsAccount.balance.updated",
          "treasuryAccount.balance.updated",
          "investmentAccount.balance.updated",
          "creditAccount.balance.updated"
        ],
        "type": "string"
      },
      "ReviewedInput__updatewebhook__WebhookUpdateStatus": {
        "enum": [
          "active",
          "paused"
        ],
        "type": "string"
      },
      "ReviewedInput__verifywebhook__VerifyWebhookParams": {
        "additionalProperties": false,
        "description": " Request body for verifying a webhook endpoint",
        "properties": {
          "eventType": {
            "allOf": [
              {
                "$ref": "#/components/schemas/ReviewedInput__verifywebhook__WebhookEventType"
              },
              {
                "description": " Optional event type to test. If not specified, defaults to transaction.created."
              }
            ],
            "nullable": true
          }
        },
        "type": "object"
      },
      "ReviewedInput__verifywebhook__WebhookEventType": {
        "enum": [
          "transaction.created",
          "transaction.updated",
          "checkingAccount.balance.updated",
          "savingsAccount.balance.updated",
          "treasuryAccount.balance.updated",
          "investmentAccount.balance.updated",
          "creditAccount.balance.updated"
        ],
        "type": "string"
      },
      "assigntransactiontobudget__ApiV1AssignTransactionRequest": {
        "properties": {
          "allowOverspend": {
            "description": " Whether to allow this assignment to exceed the budget. Defaults to false.",
            "nullable": true,
            "type": "boolean"
          },
          "transactionId": {
            "allOf": [
              {
                "$ref": "#/components/schemas/assigntransactiontobudget__TransactionMetadataId"
              }
            ]
          }
        },
        "required": [
          "transactionId"
        ],
        "type": "object"
      },
      "assigntransactiontobudget__TransactionMetadataId": {
        "description": "ID for this transaction",
        "format": "uuid",
        "type": "string"
      },
      "cancelcard__Card": {
        "properties": {
          "accountId": {
            "description": " The Mercury account this card is associated with.",
            "type": "string"
          },
          "budgets": {
            "description": " One entry per active budget linked to this card and cardholder.\n Empty under cardLimit, or when this response has no active budget for the cardholder.",
            "items": {
              "$ref": "#/components/schemas/cancelcard__CardBudget"
            },
            "type": "array"
          },
          "categoryLocks": {
            "description": " Mercury spend-category locks applied to this card, in no particular order. Empty when the card has no category restrictions.",
            "items": {
              "$ref": "#/components/schemas/cancelcard__MercuryCategory"
            },
            "type": "array"
          },
          "createdAt": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cancelcard__UTCTime"
              },
              {
                "description": " Timestamp when the card was issued."
              }
            ]
          },
          "expiration": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cancelcard__CardExpiration"
              },
              {
                "description": " Month and year the card expires."
              }
            ]
          },
          "id": {
            "description": " Unique identifier for the card.",
            "format": "uuid",
            "type": "string"
          },
          "isAgentCard": {
            "description": " Whether the card is managed by the agentic spend-management agent. Only agent\n cards can have their full details revealed.",
            "type": "boolean"
          },
          "isSingleUse": {
            "description": " Whether the card closes automatically after its first approved purchase. A used\n single-use card reports a @singleUseConsumed@ status.",
            "type": "boolean"
          },
          "kind": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cancelcard__CardKind"
              },
              {
                "description": " Whether the card is a debit or credit card."
              }
            ]
          },
          "lastFour": {
            "description": " Last four digits of the card's primary account number (PAN).",
            "type": "string"
          },
          "merchantLock": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cancelcard__MerchantInfo"
              },
              {
                "description": " Merchant lock applied to this card. Present only when the card is locked to a single merchant; otherwise omitted."
              }
            ],
            "nullable": true
          },
          "nameOnCard": {
            "description": " Cardholder name printed on the card.",
            "type": "string"
          },
          "nickname": {
            "description": " Optional user-assigned label for the card.",
            "nullable": true,
            "type": "string"
          },
          "physicalCardStatus": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cancelcard__PhysicalCardStatus"
              },
              {
                "description": " Activation state of a physical card. Null for virtual cards."
              }
            ],
            "nullable": true
          },
          "spendLimit": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cancelcard__SpendLimit"
              },
              {
                "description": " Card-level spending controls. This is null when card-level limits are\n unavailable, including for credit cards governed by budgets. For debit\n cards, this includes the underlying card limits even when budgets govern\n purchase spending. In budget mode, the transaction limit does not gate\n purchases, but the ATM or cash limit can still apply to cash withdrawals."
              }
            ],
            "nullable": true
          },
          "spendLimitType": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cancelcard__SpendLimitType"
              },
              {
                "description": " Whether card-level limits or budgets govern purchase spending."
              }
            ]
          },
          "status": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cancelcard__CardStatus"
              },
              {
                "description": " Current lifecycle state of the card."
              }
            ]
          },
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cancelcard__CardType"
              },
              {
                "description": " Whether the card is virtual (digital-only) or physical (printed, supports ATM)."
              }
            ]
          },
          "updatedAt": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cancelcard__UTCTime"
              },
              {
                "description": " Timestamp of the last modification to the card or its settings."
              }
            ]
          },
          "userId": {
            "description": " Mercury User who owns the card.",
            "type": "string"
          }
        },
        "required": [
          "id",
          "accountId",
          "createdAt",
          "updatedAt",
          "lastFour",
          "nameOnCard",
          "userId",
          "status",
          "type",
          "kind",
          "expiration",
          "spendLimitType",
          "budgets",
          "categoryLocks",
          "isAgentCard",
          "isSingleUse"
        ],
        "type": "object"
      },
      "cancelcard__CardBudget": {
        "description": " Current-cycle limits for one budget linked to this card and cardholder.",
        "properties": {
          "amountCents": {
            "description": " The cardholder's spend limit for the current budget cycle, in cents.",
            "minimum": 0,
            "type": "integer"
          },
          "id": {
            "description": "Unique identifier for a budget",
            "format": "uuid",
            "type": "string"
          },
          "name": {
            "description": " Display name of the budget.",
            "type": "string"
          },
          "remainingAmountCents": {
            "description": " Current-cycle limit minus recorded spend, clamped at zero, in cents.\n Authorization also uses cached allocations and in-flight holds, so its available amount may differ.",
            "minimum": 0,
            "type": "integer"
          }
        },
        "required": [
          "id",
          "name",
          "amountCents",
          "remainingAmountCents"
        ],
        "type": "object"
      },
      "cancelcard__CardExpiration": {
        "description": "Month and year the card expires.",
        "properties": {
          "month": {
            "description": "Calendar month.",
            "example": 8,
            "maximum": 12,
            "minimum": 1,
            "type": "integer"
          },
          "year": {
            "description": "Four-digit calendar year.",
            "example": 2026,
            "maximum": 2999,
            "minimum": 2000,
            "type": "integer"
          }
        },
        "required": [
          "month",
          "year"
        ],
        "type": "object"
      },
      "cancelcard__CardKind": {
        "enum": [
          "debit",
          "credit"
        ],
        "type": "string"
      },
      "cancelcard__CardStatus": {
        "enum": [
          "active",
          "frozen",
          "cancelled",
          "inactive",
          "expired",
          "suspended",
          "singleUseConsumed"
        ],
        "type": "string"
      },
      "cancelcard__CardType": {
        "enum": [
          "virtual",
          "physical"
        ],
        "type": "string"
      },
      "cancelcard__MerchantId": {
        "format": "uuid",
        "type": "string"
      },
      "cancelcard__MerchantInfo": {
        "description": " Information about a merchant that can be used for spend controls like merchant locking.",
        "properties": {
          "id": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cancelcard__MerchantId"
              }
            ]
          },
          "name": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "name"
        ],
        "type": "object"
      },
      "cancelcard__MercuryCategory": {
        "enum": [
          "Other",
          "Advertising",
          "Airlines",
          "AlcoholAndBars",
          "BooksAndNewspaper",
          "CarRental",
          "Charity",
          "Clothing",
          "Conferences",
          "Education",
          "Electronics",
          "Entertainment",
          "FacilitiesExpenses",
          "Fees",
          "FoodDelivery",
          "FuelAndGas",
          "Gambling",
          "GovernmentServices",
          "Grocery",
          "GroundTransportation",
          "Insurance",
          "InternetAndTelephone",
          "Legal",
          "Lodging",
          "Medical",
          "Memberships",
          "OfficeSupplies",
          "OtherTravel",
          "Parking",
          "Political",
          "ProfessionalServices",
          "Restaurants",
          "Retail",
          "RideshareAndTaxis",
          "Shipping",
          "Software",
          "Taxes",
          "Utilities",
          "VehicleExpenses"
        ],
        "type": "string"
      },
      "cancelcard__PhysicalCardStatus": {
        "enum": [
          "inactive",
          "active",
          "locked"
        ],
        "type": "string"
      },
      "cancelcard__SpendLimit": {
        "description": " Spending controls applied to a card",
        "properties": {
          "amountCents": {
            "description": " Maximum total spend allowed per interval, in cents.",
            "minimum": 0,
            "type": "integer"
          },
          "atmAmountCents": {
            "description": " Maximum ATM withdrawal allowed per interval, in cents. Null for virtual\n cards and credit cards.",
            "minimum": 0,
            "nullable": true,
            "type": "integer"
          },
          "interval": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cancelcard__SpendLimitInterval"
              },
              {
                "description": " Rolling window the limit applies to."
              }
            ]
          }
        },
        "required": [
          "amountCents",
          "interval"
        ],
        "type": "object"
      },
      "cancelcard__SpendLimitInterval": {
        "enum": [
          "daily",
          "weekly",
          "monthly",
          "yearly"
        ],
        "type": "string"
      },
      "cancelcard__SpendLimitType": {
        "enum": [
          "cardLimit",
          "budgets"
        ],
        "type": "string"
      },
      "cancelcard__UTCTime": {
        "example": "2016-07-22T00:00:00Z",
        "format": "yyyy-mm-ddThh:MM:ssZ",
        "type": "string"
      },
      "createbudget__ApiV1BudgetFrequency": {
        "enum": [
          "oneTime",
          "daily",
          "weekly",
          "monthly",
          "yearly"
        ],
        "type": "string"
      },
      "createbudget__ApiV1BudgetIdResponse": {
        "properties": {
          "id": {
            "allOf": [
              {
                "$ref": "#/components/schemas/createbudget__BudgetId"
              }
            ]
          }
        },
        "required": [
          "id"
        ],
        "type": "object"
      },
      "createbudget__ApiV1CreateBudgetRequest": {
        "properties": {
          "amountPerUserPerPeriod": {
            "allOf": [
              {
                "$ref": "#/components/schemas/createbudget__NonNegativeDollar"
              }
            ],
            "nullable": true
          },
          "description": {
            "nullable": true,
            "type": "string"
          },
          "endDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/createbudget__Day"
              }
            ],
            "nullable": true
          },
          "frequency": {
            "allOf": [
              {
                "$ref": "#/components/schemas/createbudget__ApiV1BudgetFrequency"
              }
            ]
          },
          "name": {
            "maxLength": 299,
            "minLength": 1,
            "nullable": true,
            "type": "string"
          },
          "startDate": {
            "allOf": [
              {
                "$ref": "#/components/schemas/createbudget__Day"
              }
            ],
            "nullable": true
          }
        },
        "required": [
          "frequency"
        ],
        "type": "object"
      },
      "createbudget__BudgetId": {
        "description": "ID for the budget",
        "format": "uuid",
        "type": "string"
      },
      "createbudget__Day": {
        "example": "2016-07-22",
        "format": "date",
        "type": "string"
      },
      "createbudget__NonNegativeDollar": {
        "description": "A non-negative dollar amount",
        "format": "double",
        "minimum": 0,
        "type": "number"
      },
      "createcard__Card": {
        "properties": {
          "accountId": {
            "description": " The Mercury account this card is associated with.",
            "type": "string"
          },
          "budgets": {
            "description": " One entry per active budget linked to this card and cardholder.\n Empty under cardLimit, or when this response has no active budget for the cardholder.",
            "items": {
              "$ref": "#/components/schemas/createcard__CardBudget"
            },
            "type": "array"
          },
          "categoryLocks": {
            "description": " Mercury spend-category locks applied to this card, in no particular order. Empty when the card has no category restrictions.",
            "items": {
              "$ref": "#/components/schemas/createcard__MercuryCategory"
            },
            "type": "array"
          },
          "createdAt": {
            "allOf": [
              {
                "$ref": "#/components/schemas/createcard__UTCTime"
              },
              {
                "description": " Timestamp when the card was issued."
              }
            ]
          },
          "expiration": {
            "allOf": [
              {
                "$ref": "#/components/schemas/createcard__CardExpiration"
              },
              {
                "description": " Month and year the card expires."
              }
            ]
          },
          "id": {
            "description": " Unique identifier for the card.",
            "format": "uuid",
            "type": "string"
          },
          "isAgentCard": {
            "description": " Whether the card is managed by the agentic spend-management agent. Only agent\n cards can have their full details revealed.",
            "type": "boolean"
          },
          "isSingleUse": {
            "description": " Whether the card closes automatically after its first approved purchase. A used\n single-use card reports a @singleUseConsumed@ status.",
            "type": "boolean"
          },
          "kind": {
            "allOf": [
              {
                "$ref": "#/components/schemas/createcard__CardKind"
              },
              {
                "description": " Whether the card is a debit or credit card."
              }
            ]
          },
          "lastFour": {
            "description": " Last four digits of the card's primary account number (PAN).",
            "type": "string"
          },
          "merchantLock": {
            "allOf": [
              {
                "$ref": "#/components/schemas/createcard__MerchantInfo"
              },
              {
                "description": " Merchant lock applied to this card. Present only when the card is locked to a single merchant; otherwise omitted."
              }
            ],
            "nullable": true
          },
          "nameOnCard": {
            "description": " Cardholder name printed on the card.",
            "type": "string"
          },
          "nickname": {
            "description": " Optional user-assigned label for the card.",
            "nullable": true,
            "type": "string"
          },
          "physicalCardStatus": {
            "allOf": [
              {
                "$ref": "#/components/schemas/createcard__PhysicalCardStatus"
              },
              {
                "description": " Activation state of a physical card. Null for virtual cards."
              }
            ],
            "nullable": true
          },
          "spendLimit": {
            "allOf": [
              {
                "$ref": "#/components/schemas/createcard__SpendLimit"
              },
              {
                "description": " Card-level spending controls. This is null when card-level limits are\n unavailable, including for credit cards governed by budgets. For debit\n cards, this includes the underlying card limits even when budgets govern\n purchase spending. In budget mode, the transaction limit does not gate\n purchases, but the ATM or cash limit can still apply to cash withdrawals."
              }
[...]
